# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Basename.pm) perl(File/Path.pm) perl(Getopt/Long.pm) perl(HTTP/Request.pm) perl(LWP/Parallel/UserAgent.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name APP-REST-RestTestSuite
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: rest-client => Test automation tool for restful web services
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RK/RKMITHUN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
APP::REST::RestTestSuite object is instantiated with the data in config file. 
Default config file format is defined in __DATA__ and that can be overridden
by passing the config file as an argument to the class.
Default LOG file path is the current working directory of the script which 
calls this module

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.md
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

